; The CMD file.
;
; Two parts: 1. Command definition and  2. State entry
; (state entry is after the commands def section)
;
; 1. Command definition
; ---------------------
; Note: The commands are CASE-SENSITIVE, and so are the command names.
; The eight directions are:
;   B, DB, D, DF, F, UF, U, UB     (all CAPS)
;   corresponding to back, down-back, down, downforward, etc.
; The six buttons are:
;   a, b, c, x, y, z               (all lower case)
;   In default key config, abc are are the bottom, and xyz are on the
;   top row. For 2 button characters, we recommend you use a and b.
;   For 6 button characters, use abc for kicks and xyz for punches.
;
; Each [Command] section defines a command that you can use for
; state entry, as well as in the CNS file.
; The command section should look like:
;
;   [Command]
;   name = "some_name"
;   command = the_command
;   time = time (optional -- defaults to 15 if omitted)
;
; - some_name
;   A name to give that command. You'll use this name to refer to
;   that command in the state entry, as well as the CNS. It is case-
;   sensitive (QCB_a is NOT the same as Qcb_a or QCB_A).
;
; - command
;   list of buttons or directions, separated by commas.
;   Directions and buttons can be preceded by special characters:
;   slash (/) - means the key must be held down
;          egs. command = /D       ;hold the down direction
;               command = /F, a    ;hold fwd while you press a
;   tilde (~) - to detect key releases
;          egs. command = ~a       ;release the a button
;               command = ~D, F, a ;release down, press fwd, then a
;          If you want to detect "charge moves", you can specify
;          the time the key must be held down for (in game-ticks)
;          egs. command = ~30a     ;hold a for at least 30 ticks, then release
;               command = ~30
;   dollar ($) - Direction-only: detect as 4-way
;          egs. command = $D       ;will detect if D, DB or DF is held
;               command = $B       ;will detect if B, DB or UB is held
;   plus (+) - Buttons only: simultaneous press
;          egs. command = a+b      ;press a and b at the same time
;               command = x+y+z    ;press x, y and z at the same time
;   You can combine them:
;     eg. command = ~30$D, a+b     ;hold D, DB or DF for 30 ticks, release,
;                                  ;then press a and b together
;   It's recommended that for most "motion" commads, eg. quarter-circle-fwd,
;   you start off with a "release direction". This matches the way most
;   popular fighting games implement their engine.
;
; - time (optional)
;   Time allowed to do the command, given in game-ticks. Defaults to 15
;   if omitted


;-| botp |--------------------------------------------------------
[Command]
name = "CPU0"
command = U,U,D,D,B,F,B,F,s,s
time = 0

[Command]
name = "CPU1"
command = U,U,D,D,B,F,B,F,a,a
time = 0

[Command]
name = "CPU2"
command = U,U,D,D,B,F,B,F,b,b
time = 0

[Command]
name = "CPU3"
command = U,U,D,D,B,F,B,F,c,c
time = 0

[Command]
name = "CPU4"
command = U,U,D,D,B,F,B,F,x,x
time = 0

[Command]
name = "CPU5"
command = U,U,D,D,B,F,B,F,y,y
time = 0

[Command]
name = "CPU6"
command = U,U,D,D,B,F,B,F,z,z
time = 0

[Command]
name = "CPU7"
command = U,U,D,D,B,F,B,F,z,z,z
time = 0

[Command]
name = "CPU8"
command = U,U,D,D,B,F,B,F,z,z,z,z
time = 0

[Command]
name = "CPU9"
command = U,U,D,D,B,F,B,F,z,z
time = 0

[Command]
name = "CPU10"
command = U,U,D,D,B,F,B,F,z,z
time = 0

[Command]
name = "CPU11"
command = U,U,D,D,B,F,B,F,z,z
time = 0

[Command]
name = "CPU12"
command = U,U,D,D,B,F,B,F,z,z
time = 0

[Command]
name = "CPU13"
command = U,U,D,D,B,F,B,F,z,z
time = 0

[Command]
name = "CPU14"
command = U,U,D,D,B,F,B,F,z,z
time = 0

[Command]
name = "CPU15"
command = U,U,D,D,B,F,B,F,z,z
time = 0

[Command]
name = "CPU16"
command = U,U,D,D,B,F,B,F,z,z
time = 0

[Command]
name = "CPU17"
command = U,U,D,D,B,F,B,F,z,z
time = 0

[Command]
name = "CPU18"
command = U,U,D,D,B,F,B,F,z,z
time = 0

[Command]
name = "CPU19"
command = U,U,D,D,B,F,B,F,z,z
time = 0

[Command]
name = "CPU20"
command = U,U,D,D,B,F,B,F,z,z
time = 0

[Command]
name = "CPU21"
command = U,U,D,D,B,F,B,F,z,z
time = 0

[Command]
name = "CPU22"
command = U,U,D,D,B,F,B,F,z,z
time = 0

[Command]
name = "CPU23"
command = U,U,D,D,B,F,B,F,z,z
time = 0

[Command]
name = "CPU24"
command = U,U,D,D,B,F,B,F,z,z
time = 0

[Command]
name = "CPU25"
command = U,U,D,D,B,F,B,F,z,z
time = 0

[Command]
name = "CPU26"
command = U,U,D,D,B,F,B,F,z,z
time = 0

[Command]
name = "CPU27"
command = U,U,D,D,B,F,B,F,z,z
time = 0

[Command]
name = "CPU28"
command = U,U,D,D,B,F,B,F,z,z
time = 0

[Command]
name = "CPU29"
command = U,U,D,D,B,F,B,F,z,z
time = 0

[Command]
name = "CPU30"
command = U,U,D,D,B,F,B,F,z,z
time = 0

[Command]
name = "CPU31"
command = U,U,D,D,B,F,B,F,z,z
time = 0

[Command]
name = "CPU32"
command = U,U,D,D,B,F,B,F,z,z
time = 0

[Command]
name = "CPU33"
command = U,U,D,D,B,F,B,F,z,z
time = 0

[Command]
name = "CPU34"
command = U,U,D,D,B,F,B,F,z,z
time = 0

[Command]
name = "CPU35"
command = U,U,D,D,B,F,B,F,z,z
time = 0

[Command]
name = "CPU36"
command = U,U,D,D,B,F,B,F,z,z
time = 0

[Command]
name = "CPU37"
command = U,U,D,D,B,F,B,F,z,z
time = 0

[Command]
name = "CPU38"
command = U,U,D,D,B,F,B,F,z,z
time = 0

[Command]
name = "CPU39"
command = U,U,D,D,B,F,B,F,z,z
time = 0

;-| KEZ |--------------------------------------------------------
[Command]
name = "kanarazu_korosu"
command = ~B, D, F, z
time = 30

[Command]
name = "mirage_body"
command = ~B, D, F, y
time = 30

[Command]
name = "houou_kyaku"
command = ~B, D, F, x
time = 30

;-| KEZ |------------------------------------------------------
[Command]
name = "c_impact_a"
command = ~D ,D , a
time = 10

[Command]
name = "c_impact_b"
command = ~D ,D , b
time = 10

[Command]
name = "c_impact_c"
command = ~D ,D , c
time = 10

[Command]
name = "c_impact_c"
command = ~D ,D , x
time = 10

[Command]
name = "hasai_ken_a"
command = ~D, F, a
time = 20

[Command]
name = "hasai_ken_b"
command = ~D, F, b
time = 20

[Command]
name = "hasai_ken_c"
command = ~D, F, c
time = 20

[Command]
name = "hasai_ken_c"
command = ~D, F, x
time = 20

[Command]
name = "sake_a"
command = ~D, B, a
time = 20

[Command]
name = "sake_b"
command = ~D, B, b
time = 20

[Command]
name = "sake_c"
command = ~D, B, c
time = 20

[Command]
name = "sake_c"
command = ~D, B, x
time = 20

[Command]
name = "jab_a"
command = ~a, a, a, a
time = 18

[Command]
name = "jab_a"
command = ~b, b, b. b
time = 18

[Command]
name = "jab_c"
command = ~c, c, c, c
time = 18


;-| _bV |-----------------------------------------------------------
[Command]
name = "FF+a"
command = F, F, a
time = 20

[Command]
name = "FF+b"
command = F, F, b
time = 20

[Command]
name = "FF+c"
command = F, F, c
time = 20

[Command]
name = "FF";Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB";Required (do not remove)
command = B, B
time = 20

;-| LZWv |-----------------------------------------------
[Command]
name = "c_jump_F"
command = UF
time = 1

[Command]
name = "c_jump_N"
command = U
time = 1

[Command]
name = "c_jump_B"
command = UB
time = 1

[Command]
name = "holdup_end";Required (do not remove)
command = ~$U
time = 1

;-|  |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = a+b
time = 1

[Command]
name = "ab"
command = a+b
time = 1

[Command]
name = "xy"
command = x+y
time = 1

;-| Jo[ |-----------------------------------------------
[Command]
name = "UU";Required (do not remove)
command = U, U
time = 10

;-| {{^ |---------------------------------------------------------
[Command]
name = "down_back_c"
command = /DB,c
time = 1

[Command]
name = "fwd_x"
command = /F,x
time = 1

[Command]
name = "fwd_y"
command = /F,y
time = 1

[Command]
name = "fwd_a"
command = /F,a
time = 1

[Command]
name = "fwd_b"
command = /F,b
time = 1

[Command]
name = "fwd_c"
command = /F,c
time = 1

[Command]
name = "downfwd_a"
command = /DF,a
time = 1

[Command]
name = "downfwd_b"
command = /DF,b
time = 1

[Command]
name = "back_x"
command = /B,x
time = 1

[Command]
name = "back_y"
command = /B,y
time = 1

[Command]
name = "back_a"
command = /B,a
time = 1

[Command]
name = "back_b"
command = /B,b
time = 1

[Command]
name = "back_c"
command = /B,c
time = 1

[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

[Command]
name = "fwd_ab"
command = /F, a+b
time = 1

[Command]
name = "back_ab"
command = /B, a+b
time = 1

;-| P{^ |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

;-| ςȂ |--------------------------------------------------------------
[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

[Command]
name = "hold_x"
command = /$x
time = 1

[Command]
name = "hold_y"
command = /$y
time = 1


[Command]
name = "hold_c"
command = /$c
time = 1

[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup";Required (do not remove)
command = /$U
time = 1

;-| ubLOp |--------------------------------------------------------------
;
[Command]
name = "B_F"
command = F
time = 0

;Ⴊ
[Command]
name = "B_D"
command = D
time = 0


;-| WXgfBtFXp |--------------------------------------------------------------
[Command]
name = "back"
command = B
time = 1

[Command]
name = "upback"
command = UB
time = 1

[Command]
name = "downback"
command = DB
time = 1


;---------------------------------------------------------------------------
; 2. State entry
; --------------
; This is where you define what commands bring you to what states.
;
; Each state entry block looks like:
;   [State -1]                  ;Don't change this
;   type = ChangeState          ;Don't change this
;   value = new_state_number
;   trigger1 = command = "command_name"
;   . . .  (any additional triggers)
;
; - new_state_number is the number of the state to change to
; - command_name is the name of the command (from the section above)
; - Useful triggers to know:
;   - statetype
;       S, C or A : current state-type of player (stand, crouch, air)
;   - ctrl
;       0 or 1 : 1 if player has control. Unless "interrupting" another
;                move, you'll want ctrl = 1
;   - stateno
;       number of state player is in - useful for "move interrupts"
;   - movecontact
;       0 or 1 : 1 if player's last attack touched the opponent
;                useful for "move interrupts"
;
; For reference on triggers, see CNS documentation.
;
; Just for your information (skip if you're not interested):
; This part is an extension of the CNS. "State -1" is a special state
; that is executed once every game-tick, regardless of what other state
; you are in.


; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]


;===========================================================================
;KEZ
;===========================================================================
;---------------------------------------------------------------------------
; ij
;[State -1]
;type = ChangeState
;value = 20000
;triggerall = command = "kanarazu_korosu"
;;triggerall = Var(14) != 1    ; R{ĂȂ
;triggerall = power >= 2000
;triggerall = statetype != A
;trigger1 = ctrl = 1


;;trigger2 = statetype != A
;trigger2 = hitdefattr = SCA, NA, SA
;trigger2 = MoveContact = 1

;trigger3 = stateno >= 9500
;trigger3 = stateno <= 9700

;---------------------------------------------------------------------------
; eEčE
[State -1]
type = ChangeState
value = 3500
triggerall = command = "kanarazu_korosu"
triggerall = power >= 1000
triggerall = statetype != A
trigger1 = ctrl = 1

trigger2 = hitdefattr = SC, NA, SA
trigger2 = MoveContact = 1

trigger3 = stateno >= 9500
trigger3 = stateno <= 9700

;---------------------------------------------------------------------------
; Ռj
[State -1]
type = ChangeState
value = 3000
triggerall = command = "c_impact_c"
triggerall = power >= 1000
triggerall = statetype != A
trigger1 = ctrl = 1


trigger2 = hitdefattr = SCA, NA, SA
trigger2 = MoveContact = 1

trigger3 = stateno >= 9500
trigger3 = stateno <= 9700

;---------------------------------------------------------------------------
; eQn
[State -1]
type = ChangeState
value = 3200
triggerall = command = "hasai_ken_c"
triggerall = power >= 1000
triggerall = statetype != A
trigger1 = ctrl = 1

trigger2 = hitdefattr = SCA, NA, SA
trigger2 = MoveContact = 1

trigger3 = stateno >= 9500
trigger3 = stateno <= 9700

;---------------------------------------------------------------------------
; eQ
[State -1]
type = ChangeState
value = 3300
triggerall = command = "hasai_ken_c"
triggerall = power >= 1000
triggerall = statetype = A
trigger1 = ctrl = 1

trigger2 = hitdefattr = SCA, NA, SA
trigger2 = MoveContact = 1

trigger3 = stateno >= 9500
trigger3 = stateno <= 9700

;---------------------------------------------------------------------------
; ^ёQ
[State -1]
type = ChangeState
value = 1700
triggerall = command = "c_impact_a"
triggerall = Var(14) != 1    ; R{ĂȂ
triggerall = statetype = A
trigger1 = ctrl = 1

trigger2 = stateno >= 600
trigger2 = stateno <= 699
trigger2 = movecontact = 1

;---------------------------------------------------------------------------
; ^ёQ
[State -1]
type = ChangeState
value = 1800
triggerall = command = "c_impact_b" || command = "c_impact_c"
triggerall = Var(14) != 1    ; R{ĂȂ
triggerall = statetype = A
trigger1 = ctrl = 1

trigger2 = stateno >= 600
trigger2 = stateno <= 699
trigger2 = movecontact = 1


;---------------------------------------------------------------------------
; oQ
[State -1]
type = ChangeState
value = 1500
triggerall = command = "c_impact_a"
triggerall = Var(14) != 1    ; R{ĂȂ
triggerall = statetype != A
trigger1 = ctrl = 1

trigger2 = stateno >= 200
trigger2 = stateno <= 299
trigger2 = movecontact = 1

trigger3 = stateno >= 400
trigger3 = stateno <= 500
trigger3 = movecontact = 1

trigger4 = stateno >= 9500
trigger4 = stateno <= 9700

;---------------------------------------------------------------------------
; oQ
[State -1]
type = ChangeState
value = 1600
triggerall = command = "c_impact_b" || command = "c_impact_c"
triggerall = Var(14) != 1    ; R{ĂȂ
triggerall = statetype != A
trigger1 = ctrl = 1

trigger2 = stateno >= 200
trigger2 = stateno <= 299
trigger2 = movecontact = 1

trigger3 = stateno >= 400
trigger3 = stateno <= 500
trigger3 = movecontact = 1

trigger4 = stateno >= 9500
trigger4 = stateno <= 9700


;---------------------------------------------------------------------------
; ѕGƂQnQ
[State -1]
type = ChangeState
value = 1000
triggerall = command = "sake_a"
triggerall = Var(14) != 1    ; R{ĂȂ
triggerall = statetype != A
trigger1 = ctrl = 1

trigger2 = stateno >= 200
trigger2 = stateno <= 299
trigger2 = movecontact = 1

trigger3 = stateno >= 400
trigger3 = stateno <= 500
trigger3 = movecontact = 1

trigger4 = stateno >= 9500
trigger4 = stateno <= 9700

;---------------------------------------------------------------------------
; ѕGƂQ󒆁Q
[State -1]
type = ChangeState
value = 1001
triggerall = command = "sake_a"
triggerall = Var(14) != 1    ; R{ĂȂ
triggerall = statetype = A
trigger1 = ctrl = 1

trigger2 = stateno >= 600
trigger2 = stateno <= 699
trigger2 = movecontact = 1

;---------------------------------------------------------------------------
; ѕGƂQnQ
[State -1]
type = ChangeState
value = 1100
triggerall = command = "sake_b" || command = "sake_c" 
triggerall = Var(14) != 1    ; R{ĂȂ
triggerall = statetype != A
trigger1 = ctrl = 1

trigger2 = stateno >= 200
trigger2 = stateno <= 299
trigger2 = movecontact = 1

trigger3 = stateno >= 400
trigger3 = stateno <= 500
trigger3 = movecontact = 1

trigger4 = stateno >= 9500
trigger4 = stateno <= 9700

;---------------------------------------------------------------------------
; ѕGƂQ󒆁Q
[State -1]
type = ChangeState
value = 1101
triggerall = command = "sake_b" || command = "sake_c" 
triggerall = Var(14) != 1    ; R{ĂȂ
triggerall = statetype = A
trigger1 = ctrl = 1

trigger2 = stateno >= 600
trigger2 = stateno <= 699
trigger2 = movecontact = 1

;---------------------------------------------------------------------------
; eQnQ
[State -1]
type = ChangeState
value = 1300
triggerall = command = "hasai_ken_a"
triggerall = Var(14) != 1    ; R{ĂȂ
triggerall = statetype != A
trigger1 = ctrl = 1

trigger2 = stateno >= 200
trigger2 = stateno <= 299
trigger2 = movecontact = 1

trigger3 = stateno >= 400
trigger3 = stateno <= 500
trigger3 = movecontact = 1

trigger4 = stateno >= 9500
trigger4 = stateno <= 9700

;---------------------------------------------------------------------------
; eQnQ
[State -1]
type = ChangeState
value = 1400
triggerall = command = "hasai_ken_b" || command = "hasai_ken_c" 
triggerall = Var(14) != 1    ; R{ĂȂ
triggerall = statetype != A
trigger1 = ctrl = 1

trigger2 = stateno >= 200
trigger2 = stateno <= 299
trigger2 = movecontact = 1

trigger3 = stateno >= 400
trigger3 = stateno <= 500
trigger3 = movecontact = 1

trigger4 = stateno >= 9500
trigger4 = stateno <= 9700

;---------------------------------------------------------------------------
; eQ󒆁Q
[State -1]
type = ChangeState
value = 1350
triggerall = command = "hasai_ken_a"
triggerall = Var(14) != 1    ; R{ĂȂ
triggerall = statetype = A
trigger1 = ctrl = 1

trigger2 = stateno >= 600
trigger2 = stateno <= 699
trigger2 = movecontact = 1

;---------------------------------------------------------------------------
; eQ󒆁Q
[State -1]
type = ChangeState
value = 1450
triggerall = command = "hasai_ken_b" || command = "hasai_ken_c" 
triggerall = Var(14) != 1    ; R{ĂȂ
triggerall = statetype = A
trigger1 = ctrl = 1

trigger2 = stateno >= 600
trigger2 = stateno <= 699
trigger2 = movecontact = 1



;===========================================================================
;---------------------------------------------------------------------------
;_bVQ
[State -1]
type = ChangeState
value = 300
triggerall = statetype != A
triggerall = Var(14) != 1    ; R{ĂȂ
triggerall = command != "holddown"
trigger1 = command = "a"
trigger1 = stateno = 100 ;RunF
trigger1 = animelem = 3, < 0

trigger2 = command = "FF+a"
trigger2 = stateno >= 200
trigger2 = stateno <= 299
trigger2 = movecontact = 1

trigger3 = command = "FF+a"
trigger3 = stateno >= 400
trigger3 = stateno <= 500
trigger3 = movecontact = 1

;---------------------------------------------------------------------------
;_bVQ
[State -1]
type = ChangeState
value = 310
triggerall = statetype != A
triggerall = Var(14) != 1    ; R{ĂȂ
triggerall = command != "holddown"
trigger1 = command = "b"
trigger1 = stateno = 100 ;RunF
trigger1 = animelem = 3, < 0

trigger2 = command = "FF+b"
trigger2 = stateno >= 200
trigger2 = stateno <= 299
trigger2 = movecontact = 1

trigger3 = command = "FF+b"
trigger3 = stateno >= 400
trigger3 = stateno <= 500
trigger3 = movecontact = 1

;---------------------------------------------------------------------------
;_bVQ
[State -1]
type = ChangeState
value = 320
triggerall = statetype != A
triggerall = Var(14) != 1    ; R{ĂȂ
triggerall = command != "holddown"
trigger1 = command = "c"
trigger1 = stateno = 100 ;RunF
trigger1 = animelem = 3, < 0

trigger2 = command = "FF+c"
trigger2 = stateno >= 200
trigger2 = stateno <= 299
trigger2 = movecontact = 1

trigger3 = command = "FF+c"
trigger3 = stateno >= 400
trigger3 = stateno <= 500
trigger3 = movecontact = 1

;===========================================================================
;---------------------------------------------------------------------------
;RunFwd
[State -1]
type = ChangeState
value = 100
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;RunBack
[State -1]
type = ChangeState
value = 105
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; 
[State -1]
type = ChangeState
value = 900
triggerall = statetype = S
triggerall = ctrl = 1
triggerall = stateno != 100      ;Not running
triggerall = p2bodydist X < 15
triggerall = p2statetype != A
triggerall = p2movetype != H
triggerall = IsHelper = 0
trigger1 = command = "fwd_c";Near, p2 stand
trigger2 = command = "back_c";Near, p2 stand

;---------------------------------------------------------------------------
; 󒆓
;[State -1]
;type = ChangeState
;value = 950
;triggerall = statetype = A
;triggerall = ctrl = 1
;;triggerall = stateno != 100      ;Not running
;triggerall = p2bodydist X < 20
;triggerall = p2bodydist Y > -50
;triggerall = p2bodydist Y < 30
;triggerall = p2statetype = A
;;triggerall = p2movetype != H
;trigger1 = command = "fwd_c";Near, p2 stand
;trigger2 = command = "back_c";Near, p2 stand

;---------------------------------------------------------------------------
;
[State -1]
type = ChangeState
value = 990
triggerall = Var(14) != 1    ; R{ĂȂ
trigger1 = command = "xy"
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = command = "z"
trigger2 = statetype = S
trigger2 = ctrl = 1

;===========================================================================
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;QӂƂ΂
[State -1]
type = ChangeState
value = 690
triggerall = Var(14) != 1    ; R{ĂȂ
triggerall = command = "x"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = [210,211]
trigger3 = movecontact = 1
trigger4 = stateno = 220
trigger4 = movecontact = 1
trigger5 = stateno = 400
trigger5 = movecontact = 1
trigger6 = stateno = 410
trigger6 = movecontact = 1
trigger7 = stateno = 420
trigger7 = movecontact = 1
trigger8 = stateno = 230
trigger8 = movecontact = 1


;---------------------------------------------------------------------------
;QOꋭ
[State -1]
type = ChangeState
value = 230
triggerall = Var(14) != 1    ; R{ĂȂ
triggerall = command = "fwd_c"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = [210,211]
trigger3 = movecontact = 1
trigger4 = stateno = 220
trigger4 = movecontact = 1
trigger5 = stateno = 400
trigger5 = movecontact = 1
trigger6 = stateno = 410
trigger6 = movecontact = 1
trigger7 = stateno = 420
trigger7 = movecontact = 1

;---------------------------------------------------------------------------
;bӂ
[State -1]
type = ChangeState
value = 425
triggerall = Var(14) != 1    ; R{ĂȂ
triggerall = command = "down_back_c"
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = [210,211]
trigger3 = movecontact = 1
trigger4 = stateno = 220
trigger4 = movecontact = 1
trigger5 = stateno = 400
trigger5 = movecontact = 1
trigger6 = stateno = 410
trigger6 = movecontact = 1
trigger7 = stateno = 420
trigger7 = movecontact = 1

;---------------------------------------------------------------------------
;Q
[State -1]
type = ChangeState
value = 205
triggerall = command = "back_a"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Q
[State -1]
type = ChangeState
value = 200
triggerall = command = "a"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Q
[State -1]
type = ChangeState
value = 210
triggerall = Var(14) != 1    ; R{ĂȂ
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = [200,205]
trigger2 = movecontact = 1
trigger3 = stateno = 400
trigger3 = movecontact = 1

;---------------------------------------------------------------------------
;Q
[State -1]
type = ChangeState
value = 220
triggerall = Var(14) != 1    ; R{ĂȂ
triggerall = command = "c"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = [200,205]
trigger2 = movecontact = 1
trigger3 = Var(14) != 1    ; R{ĂȂ
trigger3 = stateno = [210,211]
trigger3 = movecontact = 1
trigger4 = Var(14) != 1    ; R{ĂȂ
trigger4 = stateno = 400
trigger4 = movecontact = 1
trigger5 = stateno = 410
trigger5 = movecontact = 1
trigger6 = stateno = 420
trigger6 = movecontact = 1

;---------------------------------------------------------------------------
;Ⴊ݁Q
[State -1]
type = ChangeState
value = 400
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = [200,205]
trigger2 = movecontact = 1

;---------------------------------------------------------------------------
;Ⴊ݁Q
[State -1]
type = ChangeState
value = 410
triggerall = Var(14) != 1    ; R{ĂȂ
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = [200,205]
trigger2 = movecontact = 1

trigger3 = Var(14) != 1    ; R{ĂȂ
trigger3 = stateno = 210
trigger3 = movecontact = 1

trigger4 = stateno = 211
trigger4 = movecontact = 1

trigger5 = Var(14) != 1    ; R{ĂȂ
trigger5 = stateno = 400 
trigger5 = movecontact = 1

;---------------------------------------------------------------------------
;Ⴊ݁Q
[State -1]
type = ChangeState
value = 420
triggerall = Var(14) != 1    ; R{ĂȂ
triggerall = command = "c"
triggerall = command = "holddown"
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = [200,205]
trigger2 = movecontact = 1
trigger3 = Var(14) != 1    ; R{ĂȂ
trigger3 = stateno = [210,211]
trigger3 = movecontact = 1
trigger4 = stateno = 220 
trigger4 = movecontact = 1
trigger5 = Var(14) != 1    ; R{ĂȂ
trigger5 = stateno = 400 ;crouch_a
trigger5 = movecontact = 1
trigger6 = stateno = 410 ;crouch_b
trigger6 = movecontact = 1
;trigger7 = stateno = 420 ;crouch_c
;trigger7 = movecontact = 1

;---------------------------------------------------------------------------
;QiWv
[State -1]
type = ChangeState
value = 708
triggerall = command = "holdup"
triggerall = statetype = A
triggerall = var(51) != 1
triggerall = var(54) = 1
triggerall = Pos y <= -35
trigger1 = ctrl = 1


;---------------------------------------------------------------------------
;LZWv
[State -1]
type = ChangeState
value = 40
triggerall = Var(14) != 1    ; R{ĂȂ
triggerall = command = "holdup"
triggerall = statetype != A
trigger1 = stateno >= 200
trigger1 = stateno <= 699
trigger1 = movecontact = 1


;---------------------------------------------------------------------------
;LZWvQ󒆁QO
[State -1]
type = ChangeState
value = 705
triggerall = Var(14) != 1    ; R{ĂȂ
triggerall = command = "c_jump_F"
triggerall = statetype = A
triggerall = var(51) != 1
trigger1 = stateno >= 200
trigger1 = stateno <= 699
trigger1 = movecontact = 1

;LZWvQ󒆁Q
[State -1]
type = ChangeState
value = 715
triggerall = Var(14) != 1    ; R{ĂȂ
triggerall = command = "c_jump_N"
triggerall = statetype = A
triggerall = var(51) != 1
trigger1 = stateno >= 200
trigger1 = stateno <= 699
trigger1 = movecontact = 1

;LZWvQ󒆁Q
[State -1]
type = ChangeState
value = 725
triggerall = Var(14) != 1    ; R{ĂȂ
triggerall = command = "c_jump_B"
triggerall = statetype = A
triggerall = var(51) != 1
trigger1 = stateno >= 200
trigger1 = stateno <= 699
trigger1 = movecontact = 1


;---------------------------------------------------------------------------
;WvQӂƂ΂
[State -1]
type = ChangeState
value = 640
triggerall = command = "x"
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = stateno = 600 ;jump_a
trigger2 = movecontact = 1
trigger3 = stateno = 610 ;jump_b
trigger3 = movecontact = 1
trigger4 = stateno = 620 ;jump_c
trigger4 = movecontact = 1
trigger5 = stateno = 310 ;dash_b
trigger5 = movecontact = 1
trigger6 = stateno = 630 ;jump_fwd_c
trigger6 = movecontact = 1

;---------------------------------------------------------------------------
;WvQOꋭ
[State -1]
type = ChangeState
value = 630
triggerall = command = "fwd_c"
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = stateno = 600 ;jump_a
trigger2 = movecontact = 1
trigger3 = stateno = 610 ;jump_b
trigger3 = movecontact = 1
trigger4 = stateno = 620 ;jump_c
trigger4 = movecontact = 1
trigger5 = stateno = 310 ;dash_b
trigger5 = movecontact = 1

;---------------------------------------------------------------------------
;WvQ
[State -1]
type = ChangeState
value = 600
triggerall = command = "a"
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = stateno = 600 ;jump_a
trigger2 = movecontact = 1
trigger3 = stateno = 310 ;dash_b
trigger3 = movecontact = 1
trigger4 = stateno = 620 ;jump_c
trigger4 = movecontact = 1

;---------------------------------------------------------------------------
;WvQ
[State -1]
type = ChangeState
value = 610
triggerall = command = "b"
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = stateno = 600 ;jump_a
trigger2 = movecontact = 1
trigger3 = stateno = 310 ;dash_b
trigger3 = movecontact = 1

;---------------------------------------------------------------------------
;WvQ
[State -1]
type = ChangeState
value = 620
triggerall = command = "c"
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = stateno = 600 ;jump_a
trigger2 = movecontact = 1
trigger3 = stateno = 610 ;jump_b
trigger3 = movecontact = 1
trigger4 = stateno = 310 ;dash_b
trigger4 = movecontact = 1

